MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003548ATutorPreferencespublic2008-09-02 06:402008-11-14 08:23
ReporterIndieRect 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.2 
Summary0003548: Minor bug in config defaults
Description$_config_defaults['pref_defaults'] (include/lib/constants.inc.php on line 44): "PREF" property should be called "PREF_THEME".

The assumption is supported by the following facts:
1. In users/preferences.php, there's no "PREF" item in $temp_prefs array.
2. In $_config_defaults['pref_defaults'], "s:10:" means that the string "PREF" had to be 10 bytes long, which is exactly the length of "PREF_THEME". Putiing it another way, unserialize() of that string fails.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003191)
greg (administrator)
2008-09-25 07:52

whole pref string was replaced with a new one for the new prefs.

- Issue History
Date Modified Username Field Change
2008-09-02 06:40 IndieRect New Issue
2008-09-02 06:40 IndieRect Affects version => SVN
2008-09-25 07:52 greg Status new => resolved
2008-09-25 07:52 greg Fixed in Version => 1.6.2
2008-09-25 07:52 greg Resolution open => fixed
2008-09-25 07:52 greg Assigned To => greg
2008-09-25 07:52 greg Note Added: 0003191
2008-11-14 08:23 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker